fig51 <- function(post=F, bandwidth=0.5)
{
 if(post)
  {#ps.options (colors=ps.colors.rgb[c("blue", "magenta", "cyan",
   #"green", "MediumBlue", "red", "black", "yellow", "blue"),])
    postscript("Fig51.ps", width=4.4, height=3, horizontal=F, pointsize=8)
  }
 else {if(dev.cur()==1) motif(); par(ask=T)}

 par(mfrow = c(1, 1),mar=c(5,3,3,1)+0.1)
 par(mex=0.5,csi=0.11)


   x <- c(-1.3,-1,-0.5,-0.3, 0, 1, 1.8)
   n <- length(x)
   bandwidth <- 4*bandwidth  # 4*1.06 * sqrt(var(x)) / n^0.2 
   kden <- density(x,200,width = bandwidth, from=-3, to=3)
   plot(kden$x, kden$y, type="l", ylim = c(0, 0.5), xlab="", ylab="")
   points(x,rep(0,n))
   grid <- seq(-3,3,0.01)
   bandwidth <- bandwidth /4
   for(i in 1:n) {lines(grid, dnorm(grid,x[i],bandwidth)/n,lty=2) 
		  lines(c(x[i], x[i]), c(0, 1/sqrt(2*pi)/bandwidth)/n,lwd=3)
		  }
   title("Kernel density estimation redistributes point masses")
}
